Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.terracotta.quartz
Interface TerracottaJobStoreExtensions

All Superinterfaces:
  JobListener, JobStore

All Known Implementing Classes:
  PlainTerracottaJobStore

    public interface TerracottaJobStoreExtensions

extends JobStore, JobListener

This interface defines convenience methods on the terracotta job store implementation Without this interface we would need to use reflection to invoke these "extra" methods (ie. not present on core JobStore) from the express context

Method Summary
`String` | `getUUID()`
`void` | `setEstimatedTimeToReleaseAndAcquireTrigger(long estimate)`
`void` | `setMisfireThreshold(long threshold)`
`void` | `setSynchronousWrite(String synchWrite)`
`void` | `setTcRetryInterval(long tcRetryInterval)`
`void` | `setThreadPoolSize(int size)` Tells the JobStore the pool size used to execute jobs

Methods inherited from interface org.quartz.spi.JobStore
`acquireNextTriggers, checkExists, checkExists, clearAllSchedulingData, getCalendarNames, getEstimatedTimeToReleaseAndAcquireTrigger, getJobGroupNames, getJobKeys, getNumberOfCalendars, getNumberOfJobs, getNumberOfTriggers, getPausedTriggerGroups, getTriggerGroupNames, getTriggerKeys, getTriggersForJob, getTriggerState, initialize, isClustered, pauseAll, pauseJob, pauseJobs, pauseTrigger, pauseTriggers, releaseAcquiredTrigger, removeCalendar, removeJob, removeJobs, removeTrigger, removeTriggers, replaceTrigger, resumeAll, resumeJob, resumeJobs, resumeTrigger, resumeTriggers, retrieveCalendar, retrieveJob, retrieveTrigger, schedulerPaused, schedulerResumed, schedulerStarted, setInstanceId, setInstanceName, shutdown, storeCalendar, storeJob, storeJobAndTrigger, storeJobsAndTriggers, storeTrigger, supportsPersistence, triggeredJobComplete, triggersFired`

Methods inherited from interface org.quartz.JobListener
`getName, jobExecutionVetoed, jobToBeExecuted, jobWasExecuted`

Method Detail

### setMisfireThreshold

    void setMisfireThreshold(long threshold)

### setEstimatedTimeToReleaseAndAcquireTrigger

    void setEstimatedTimeToReleaseAndAcquireTrigger(long estimate)

### setSynchronousWrite

    void setSynchronousWrite(String synchWrite)

### setThreadPoolSize

    void setThreadPoolSize(int size)

  Description copied from interface: `JobStore`
  Tells the JobStore the pool size used to execute jobs

  Specified by:
    `setThreadPoolSize` in interface `JobStore`
  Parameters:
    `size` - amount of threads allocated for job execution

### getUUID

    String getUUID()

### setTcRetryInterval

    void setTcRetryInterval(long tcRetryInterval)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.